Search or ask Docker

Inspect a config

GET /configs/{id} — Docker Engine API 1.57.

View Markdown
GET/configs/{id}

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

id path Required

ID of the config

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 200

no error

application/json

Schema: Config

Example

{
  "CreatedAt": "2016-11-05T01:20:17.327670065Z",
  "ID": "ktnbjxoalbkvbvedmg1urrz8h",
  "Spec": {
    "Name": "app-dev.crt"
  },
  "UpdatedAt": "2016-11-05T01:20:17.327670065Z",
  "Version": {
    "Index": 11
  }
}

Response 404

config not found

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Response 500

server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Response 503

node is not part of a swarm

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/Config

#/components/schemas/ErrorResponse

Complete operation contract
{
  "operationId": "ConfigInspect",
  "parameters": [
    {
      "description": "ID of the config",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "example": {
            "CreatedAt": "2016-11-05T01:20:17.327670065Z",
            "ID": "ktnbjxoalbkvbvedmg1urrz8h",
            "Spec": {
              "Name": "app-dev.crt"
            },
            "UpdatedAt": "2016-11-05T01:20:17.327670065Z",
            "Version": {
              "Index": 11
            }
          },
          "schema": {
            "$ref": "#/components/schemas/Config"
          }
        }
      },
      "description": "no error"
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "config not found"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "server error"
    },
    "503": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "node is not part of a swarm"
    }
  },
  "summary": "Inspect a config",
  "tags": [
    "Config"
  ]
}